#pragma once

#include <string>

using std::string;

// Report an error and exit -1
void error(const char* format, ...);

struct Utils {
    /*
     * 根据文件名，获取文件扩展名
     */
    static string getFileExtension(const string& filename) {
        auto last_dot = filename.find_last_of('.');
        if (last_dot == string::npos) {
            return "";
        }
        return filename.substr(last_dot + 1);
    }
};